package com.cool.store.service;

import com.cool.store.entity.HyPartnerUserInfoDO;
import com.cool.store.request.PartnerUserInfoRequest;
import com.cool.store.vo.ApplyBaseInfoVO;
import com.cool.store.vo.InviteCodeDetailVO;

public interface PartnerUserInfoService {

    HyPartnerUserInfoDO selectByPartnerId(String partnerId);

    Boolean queryJoinNotice(String partnerId);

    Boolean completeJoinNotice(String partnerId);

    InviteCodeDetailVO selectInviteCodeDetail(String partnerId);

    ApplyBaseInfoVO updatePartnerUserInfo(PartnerUserInfoRequest partnerUserInfoRequest);

}
